Skip to content
Ona Docs

CreateRunnerLogsToken

POST/gitpod.v1.RunnerService/CreateRunnerLogsToken

Creates an access token for runner logs and debug information.

Generated tokens are valid for one hour and provide runner-specific access permissions. The token is scoped to a specific runner and can be used to access support bundles.

Examples

  • Generate runner logs token:

    runnerId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
Body ParametersJSONExpand Collapse
runnerId: optional string

runner_id specifies the runner for which the logs token should be created.

+required

formatuuid
ReturnsExpand Collapse
accessToken: string

access_token is the token that can be used to access the logs and support bundle of the runner

CreateRunnerLogsToken

curl https://app.gitpod.io/api/gitpod.v1.RunnerService/CreateRunnerLogsToken \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "accessToken": "accessToken"
}
Returns Examples
{
  "accessToken": "accessToken"
}